Package de.gebit.integrity.services

## Class DSLGrammarAccess.BooleanValueElements

- java.lang.Object
- - org.eclipse.xtext.service.AbstractElementFinder
  - - org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
    - - de.gebit.integrity.services.DSLGrammarAccess.BooleanValueElements

- All Implemented Interfaces:
    `org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess`, `org.eclipse.xtext.IGrammarAccess.IParserRuleAccess`
  Enclosing class:
    DSLGrammarAccess

      public class DSLGrammarAccess.BooleanValueElements
      extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BooleanValueElements()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.xtext.Alternatives` | `getBooleanValueAlternatives_0()` |
    `org.eclipse.xtext.Assignment` | `getBooleanValueAssignment()` |
    `org.eclipse.xtext.RuleCall` | `getBooleanValueBOOLEAN_FALSETerminalRuleCall_0_1()` |
    `org.eclipse.xtext.RuleCall` | `getBooleanValueBOOLEAN_TRUETerminalRuleCall_0_0()` |
    `org.eclipse.xtext.ParserRule` | `getRule()` |

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

      `getRules`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder

      `findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BooleanValueElements

          public BooleanValueElements()

  - ### Method Detail

    - #### getRule

          public org.eclipse.xtext.ParserRule getRule()

    - #### getBooleanValueAssignment

          public org.eclipse.xtext.Assignment getBooleanValueAssignment()

    - #### getBooleanValueAlternatives_0

          public org.eclipse.xtext.Alternatives getBooleanValueAlternatives_0()

    - #### getBooleanValueBOOLEAN_TRUETerminalRuleCall_0_0

          public org.eclipse.xtext.RuleCall getBooleanValueBOOLEAN_TRUETerminalRuleCall_0_0()

    - #### getBooleanValueBOOLEAN_FALSETerminalRuleCall_0_1

          public org.eclipse.xtext.RuleCall getBooleanValueBOOLEAN_FALSETerminalRuleCall_0_1()